#include <wingnuc.h>

#define WINAPI __stdcall
#define SW_SHOWDEFAULT 10

/* Typedefs */

typedef unsigned short WCHAR;
typedef void * HINSTANCE;
typedef void * HMODULE;
typedef char * LPSTR;
typedef const char * LPCSTR;
typedef const WCHAR * LPCWSTR;
typedef unsigned long DWORD;
typedef void VOID;

/* Functions */

int WINAPI WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,
        LPSTR lpCmdLine, int nShowCmd);

DWORD WINAPI GetVersion(VOID);

HMODULE WINAPI GetModuleHandleW(LPCWSTR lpModuleName);
HMODULE WINAPI GetModuleHandleA(LPCSTR lpModuleName);

#ifdef UNICODE
#define GetModuleHandle GetModuleHandleW
#else
#define GetModuleHandle GetModuleHandleA
#endif
